# lint code
rwx_lint() {
	local path="${1}"
	local code
	set \
		"python" \
		"shell"
	for code in "${@}"; do
		rwx_log "${code}"
		"rwx_lint_${code}" "${path}"
	done
}

# lint python code
rwx_lint_python() {
	local path="${1}"
	local action
	set \
		"pylint" \
		"pydoclint" \
		"mypy" \
		"ruff"
	for action in "${@}"; do
		rwx_log "${action}"
		"rwx_${action}" "${path}"
	done
}

# lint shell code
rwx_lint_shell() {
	local path="${1}"
	local action
	set \
		"shellcheck" \
		"shfmt"
	for action in "${@}"; do
		rwx_log "${action}"
		"rwx_${action}" "${path}"
	done
}
